Package: org.gradle.api.plugins.sonar.model

## [Groovy] Class SonarDatabase

- org.gradle.api.plugins.sonar.model.SonarDatabase

- Configuration options for the Sonar database. Defaults match the defaults for a locally running server (with embedded database).

  deprecated:
    The 'sonar' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `driverClassName` The name of the JDBC driver class.
    `String` | `password` The JDBC password for the Sonar database.
    `String` | `url` The JDBC URL for the Sonar database.
    `String` | `username` The JDBC username for the Sonar database.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### @SonarProperty("sonar.jdbc.driverClassName") String driverClassName

      The name of the JDBC driver class. Defaults to `org.apache.derby.jdbc.ClientDriver`.

    - #### @SonarProperty("sonar.jdbc.password") String password

      The JDBC password for the Sonar database. Defaults to `sonar`.

    - #### @SonarProperty("sonar.jdbc.url") String url

      The JDBC URL for the Sonar database. Defaults to `jdbc:derby://localhost:1527/sonar`.

    - #### @SonarProperty("sonar.jdbc.username") String username

      The JDBC username for the Sonar database. Defaults to `sonar`.